WSE · Schnittstellen
Produktpakete
Verbinden Sie WSE mit Ihren Anwendungen. Entdecken Sie Endpunkte, Datenmodelle und Schnittstellen – nach Funktionsbereichen und Add-ons geordnet.
Produktpakete
ERP API Dokumentation
Add-on erforderlich: Produktpakete. Die Nutzung setzt das freigeschaltete Add-on und passende Benutzerberechtigungen voraus.
List Product Bundles Endpoint
Return paginated product bundles.
Authorizations:
query Parameters
Is Active (boolean) or Is Active (null) (Is Active) | |
Available On (string) or Available On (null) (Available On) | |
| skip | integer (Skip) >= 0 Default: 0 |
| limit | integer (Limit) [ 1 .. 1000 ] Default: 100 |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/product-bundles?is_active=true&available_on=2019-08-24&skip=0&limit=100' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "total_count": 0,
- "items": [
- {
- "product_bundle_id": "string",
- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "product_bundle_group_id": "string",
- "product_bundle_id": "string",
- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "string",
- "max_total_quantity": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "group_products": [
- {
- "product_bundle_group_product_id": "string",
- "product_bundle_group_id": "string",
- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": "string",
- "max_quantity": "string",
- "default_quantity": "string",
- "quantity_step": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": null,
- "value": null,
- "product_feature_id": null,
- "last_change": null,
- "product_feature_key": null
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": null,
- "taxrate": null,
- "account_id": null,
- "tax_type_id": null,
- "last_change": null
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}
]
}
]
}Create Product Bundle Endpoint
Create one product bundle.
Authorizations:
Request Body schema: application/jsonrequired
| bundle_key required | string (Bundle Key) [ 1 .. 120 ] characters ^[a-z0-9]+([._-][a-z0-9]+)*$ Lowercase stable slug key. |
| name required | string (Name) [ 1 .. 200 ] characters |
Description (string) or Description (null) (Description) | |
Any of <= 20000 characters string <text/markdown> (Description) <= 20000 characters CommonMark source for the product bundle. Raw HTML and images are not allowed. Links must use HTTPS, a root-relative path, an anchor, mailto, or tel. | |
| is_active | boolean (Is Active) Default: true |
| sort_order | integer (Sort Order) >= 0 Default: 0 |
Available From (string) or Available From (null) (Available From) | |
Any of string <date> (Available From) | |
Available Until (string) or Available Until (null) (Available Until) | |
Any of string <date> (Available Until) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24"
}Response samples
- 201
- 422
- default
{- "product_bundle_id": "string",
- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "product_bundle_group_id": "string",
- "product_bundle_id": "string",
- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "string",
- "max_total_quantity": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "group_products": [
- {
- "product_bundle_group_product_id": "string",
- "product_bundle_group_id": "string",
- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": "string",
- "max_quantity": "string",
- "default_quantity": "string",
- "quantity_step": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}
]
}Get Product Bundle Endpoint
Return one product bundle.
Authorizations:
path Parameters
| product_bundle_id required | string <uuid4> (Product Bundle Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request GET \ --url 'https://your-instance.example.invalid/product-bundles/string' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 200
- 422
- default
{- "product_bundle_id": "string",
- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "product_bundle_group_id": "string",
- "product_bundle_id": "string",
- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "string",
- "max_total_quantity": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "group_products": [
- {
- "product_bundle_group_product_id": "string",
- "product_bundle_group_id": "string",
- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": "string",
- "max_quantity": "string",
- "default_quantity": "string",
- "quantity_step": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}
]
}Update Product Bundle Endpoint
Update one product bundle.
Authorizations:
path Parameters
| product_bundle_id required | string <uuid4> (Product Bundle Id) |
Request Body schema: application/jsonrequired
Bundle Key (string) or Bundle Key (null) (Bundle Key) | |
Any of [ 1 .. 120 ] characters string (Bundle Key) [ 1 .. 120 ] characters ^[a-z0-9]+([._-][a-z0-9]+)*$ Lowercase stable slug key. | |
Name (string) or Name (null) (Name) | |
Any of [ 1 .. 200 ] characters string (Name) [ 1 .. 200 ] characters | |
Description (string) or Description (null) (Description) | |
Any of <= 20000 characters string <text/markdown> (Description) <= 20000 characters CommonMark source for the product bundle. Raw HTML and images are not allowed. Links must use HTTPS, a root-relative path, an anchor, mailto, or tel. | |
Is Active (boolean) or Is Active (null) (Is Active) | |
Any of boolean (Is Active) | |
Sort Order (integer) or Sort Order (null) (Sort Order) | |
Any of >= 0 integer (Sort Order) >= 0 | |
Available From (string) or Available From (null) (Available From) | |
Any of string <date> (Available From) | |
Available Until (string) or Available Until (null) (Available Until) | |
Any of string <date> (Available Until) | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24"
}Response samples
- 200
- 422
- default
{- "product_bundle_id": "string",
- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "product_bundle_group_id": "string",
- "product_bundle_id": "string",
- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "string",
- "max_total_quantity": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "group_products": [
- {
- "product_bundle_group_product_id": "string",
- "product_bundle_group_id": "string",
- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": "string",
- "max_quantity": "string",
- "default_quantity": "string",
- "quantity_step": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}
]
}Delete Product Bundle Endpoint
Delete one product bundle.
Authorizations:
path Parameters
| product_bundle_id required | string <uuid4> (Product Bundle Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/product-bundles/string' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Create Product Bundle Group Endpoint
Create one product bundle group.
Authorizations:
path Parameters
| product_bundle_id required | string <uuid4> (Product Bundle Id) |
Request Body schema: application/jsonrequired
| group_key required | string (Group Key) [ 1 .. 120 ] characters ^[a-z0-9]+([._-][a-z0-9]+)*$ Lowercase stable slug key. |
| name required | string (Name) [ 1 .. 200 ] characters |
Description (string) or Description (null) (Description) | |
Any of <= 20000 characters string <text/markdown> (Description) <= 20000 characters CommonMark source for the product bundle group. Raw HTML and images are not allowed. Links must use HTTPS, a root-relative path, an anchor, mailto, or tel. | |
| is_active | boolean (Is Active) Default: true |
| is_required | boolean (Is Required) Default: false |
| selection_mode | string (ProductBundleSelectionMode) Default: "multiple" Enum: "single" "multiple" Supported selection modes for one product bundle group. |
| min_selected_products | integer (Min Selected Products) >= 0 Default: 0 |
Max Selected Products (integer) or Max Selected Products (null) (Max Selected Products) | |
Any of >= 0 integer (Max Selected Products) >= 0 | |
Min Total Quantity (number) or Min Total Quantity (string) (Min Total Quantity) Default: "0.00" | |
Any of >= 0 number (Min Total Quantity) >= 0 Default: "0.00" | |
Max Total Quantity (number) or Max Total Quantity (string) or Max Total Quantity (null) (Max Total Quantity) | |
Any of >= 0 number (Max Total Quantity) >= 0 | |
| sort_order | integer (Sort Order) >= 0 Default: 0 |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": false,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "0.00",
- "max_total_quantity": 0,
- "sort_order": 0
}Response samples
- 201
- 422
- default
{- "product_bundle_id": "string",
- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "product_bundle_group_id": "string",
- "product_bundle_id": "string",
- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "string",
- "max_total_quantity": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "group_products": [
- {
- "product_bundle_group_product_id": "string",
- "product_bundle_group_id": "string",
- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": "string",
- "max_quantity": "string",
- "default_quantity": "string",
- "quantity_step": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}
]
}Update Product Bundle Group Endpoint
Update one product bundle group.
Authorizations:
path Parameters
| product_bundle_group_id required | string <uuid4> (Product Bundle Group Id) |
Request Body schema: application/jsonrequired
Group Key (string) or Group Key (null) (Group Key) | |
Any of [ 1 .. 120 ] characters string (Group Key) [ 1 .. 120 ] characters ^[a-z0-9]+([._-][a-z0-9]+)*$ Lowercase stable slug key. | |
Name (string) or Name (null) (Name) | |
Any of [ 1 .. 200 ] characters string (Name) [ 1 .. 200 ] characters | |
Description (string) or Description (null) (Description) | |
Any of <= 20000 characters string <text/markdown> (Description) <= 20000 characters CommonMark source for the product bundle group. Raw HTML and images are not allowed. Links must use HTTPS, a root-relative path, an anchor, mailto, or tel. | |
Is Active (boolean) or Is Active (null) (Is Active) | |
Any of boolean (Is Active) | |
Is Required (boolean) or Is Required (null) (Is Required) | |
Any of boolean (Is Required) | |
ProductBundleSelectionMode (string) or null | |
Any of string (ProductBundleSelectionMode) Enum: "single" "multiple" Supported selection modes for one product bundle group. | |
Min Selected Products (integer) or Min Selected Products (null) (Min Selected Products) | |
Any of >= 0 integer (Min Selected Products) >= 0 | |
Max Selected Products (integer) or Max Selected Products (null) (Max Selected Products) | |
Any of >= 0 integer (Max Selected Products) >= 0 | |
Min Total Quantity (number) or Min Total Quantity (string) or Min Total Quantity (null) (Min Total Quantity) | |
Any of >= 0 number (Min Total Quantity) >= 0 | |
Max Total Quantity (number) or Max Total Quantity (string) or Max Total Quantity (null) (Max Total Quantity) | |
Any of >= 0 number (Max Total Quantity) >= 0 | |
Sort Order (integer) or Sort Order (null) (Sort Order) | |
Any of >= 0 integer (Sort Order) >= 0 | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": 0,
- "max_total_quantity": 0,
- "sort_order": 0
}Response samples
- 200
- 422
- default
{- "product_bundle_id": "string",
- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "product_bundle_group_id": "string",
- "product_bundle_id": "string",
- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "string",
- "max_total_quantity": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "group_products": [
- {
- "product_bundle_group_product_id": "string",
- "product_bundle_group_id": "string",
- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": "string",
- "max_quantity": "string",
- "default_quantity": "string",
- "quantity_step": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}
]
}Delete Product Bundle Group Endpoint
Delete one product bundle group.
Authorizations:
path Parameters
| product_bundle_group_id required | string <uuid4> (Product Bundle Group Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/product-bundle-groups/string' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Create Product Bundle Group Product Endpoint
Add one product option to a product bundle group.
Authorizations:
path Parameters
| product_bundle_group_id required | string <uuid4> (Product Bundle Group Id) |
Request Body schema: application/jsonrequired
| product_id required | string <uuid4> (Product Id) |
Display Name Override (string) or Display Name Override (null) (Display Name Override) | |
Any of <= 200 characters string (Display Name Override) <= 200 characters | |
Description Override (string) or Description Override (null) (Description Override) | |
Any of <= 10000 characters string <text/markdown> (Description Override) <= 10000 characters CommonMark source overriding the product description in this bundle group. Raw HTML and images are not allowed. Links must use HTTPS, a root-relative path, an anchor, mailto, or tel. | |
| is_active | boolean (Is Active) Default: true |
| is_default | boolean (Is Default) Default: false |
Min Quantity (number) or Min Quantity (string) (Min Quantity) Default: "0.00" | |
Any of >= 0 number (Min Quantity) >= 0 Default: "0.00" | |
Max Quantity (number) or Max Quantity (string) or Max Quantity (null) (Max Quantity) | |
Any of >= 0 number (Max Quantity) >= 0 | |
Default Quantity (number) or Default Quantity (string) (Default Quantity) Default: "0.00" | |
Any of >= 0 number (Default Quantity) >= 0 Default: "0.00" | |
Quantity Step (number) or Quantity Step (string) (Quantity Step) Default: "1.00" | |
Any of > 0 number (Quantity Step) > 0 Default: "1.00" | |
| sort_order | integer (Sort Order) >= 0 Default: 0 |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": false,
- "min_quantity": "0.00",
- "max_quantity": 0,
- "default_quantity": "0.00",
- "quantity_step": "1.00",
- "sort_order": 0
}Response samples
- 201
- 422
- default
{- "product_bundle_id": "string",
- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "product_bundle_group_id": "string",
- "product_bundle_id": "string",
- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "string",
- "max_total_quantity": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "group_products": [
- {
- "product_bundle_group_product_id": "string",
- "product_bundle_group_id": "string",
- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": "string",
- "max_quantity": "string",
- "default_quantity": "string",
- "quantity_step": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}
]
}Update Product Bundle Group Product Endpoint
Update one product option in a product bundle group.
Authorizations:
path Parameters
| product_bundle_group_product_id required | string <uuid4> (Product Bundle Group Product Id) |
Request Body schema: application/jsonrequired
Display Name Override (string) or Display Name Override (null) (Display Name Override) | |
Any of <= 200 characters string (Display Name Override) <= 200 characters | |
Description Override (string) or Description Override (null) (Description Override) | |
Any of <= 10000 characters string <text/markdown> (Description Override) <= 10000 characters CommonMark source overriding the product description in this bundle group. Raw HTML and images are not allowed. Links must use HTTPS, a root-relative path, an anchor, mailto, or tel. | |
Is Active (boolean) or Is Active (null) (Is Active) | |
Any of boolean (Is Active) | |
Is Default (boolean) or Is Default (null) (Is Default) | |
Any of boolean (Is Default) | |
Min Quantity (number) or Min Quantity (string) or Min Quantity (null) (Min Quantity) | |
Any of >= 0 number (Min Quantity) >= 0 | |
Max Quantity (number) or Max Quantity (string) or Max Quantity (null) (Max Quantity) | |
Any of >= 0 number (Max Quantity) >= 0 | |
Default Quantity (number) or Default Quantity (string) or Default Quantity (null) (Default Quantity) | |
Any of >= 0 number (Default Quantity) >= 0 | |
Quantity Step (number) or Quantity Step (string) or Quantity Step (null) (Quantity Step) | |
Any of > 0 number (Quantity Step) > 0 | |
Sort Order (integer) or Sort Order (null) (Sort Order) | |
Any of >= 0 integer (Sort Order) >= 0 | |
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": 0,
- "max_quantity": 0,
- "default_quantity": 0,
- "quantity_step": 1,
- "sort_order": 0
}Response samples
- 200
- 422
- default
{- "product_bundle_id": "string",
- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "product_bundle_group_id": "string",
- "product_bundle_id": "string",
- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "string",
- "max_total_quantity": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "group_products": [
- {
- "product_bundle_group_product_id": "string",
- "product_bundle_group_id": "string",
- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": "string",
- "max_quantity": "string",
- "default_quantity": "string",
- "quantity_step": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}
]
}Delete Product Bundle Group Product Endpoint
Delete one product option from a product bundle group.
Authorizations:
path Parameters
| product_bundle_group_product_id required | string <uuid4> (Product Bundle Group Product Id) |
Responses
Request samples
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
# Example only: replace the instance URL, token and sample values before use. curl --request DELETE \ --url 'https://your-instance.example.invalid/product-bundle-group-products/string' \ --header 'Accept: application/problem+json' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
Response samples
- 422
- default
{- "type": "urn:wse:problem:bad-request",
- "title": "string",
- "status": 0,
- "detail": "string",
- "instance": "string",
- "parameters": null,
- "errors": null
}Update Product Bundle Group Default Selection Endpoint
Replace the complete default selection of one product bundle group.
Authorizations:
path Parameters
| product_bundle_group_id required | string <uuid4> (Product Bundle Group Id) |
Request Body schema: application/jsonrequired
required | Array of objects (Selections) | ||||
Array
| |||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "selections": [
- {
- "product_bundle_group_product_id": "string",
- "quantity": 0
}
]
}Response samples
- 200
- 422
- default
{- "product_bundle_id": "string",
- "bundle_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "sort_order": 0,
- "available_from": "2019-08-24",
- "available_until": "2019-08-24",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "groups": [
- {
- "product_bundle_group_id": "string",
- "product_bundle_id": "string",
- "group_key": "string",
- "name": "string",
- "description": "string",
- "is_active": true,
- "is_required": true,
- "selection_mode": "single",
- "min_selected_products": 0,
- "max_selected_products": 0,
- "min_total_quantity": "string",
- "max_total_quantity": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "group_products": [
- {
- "product_bundle_group_product_id": "string",
- "product_bundle_group_id": "string",
- "product_id": "string",
- "display_name_override": "string",
- "description_override": "string",
- "is_active": true,
- "is_default": true,
- "min_quantity": "string",
- "max_quantity": "string",
- "default_quantity": "string",
- "quantity_step": "string",
- "sort_order": 0,
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z",
- "product": {
- "product_number": 1,
- "product_unit_id": "a47a8dba-6622-40d2-b5cc-89341876f729",
- "description": "Product 1",
- "product_description": "Detailed description of Product 1",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "terms_id": "25f780aa-2bf5-4728-b1f1-b08230503b9f",
- "discountable": true,
- "pro_rata": true,
- "cycle_type": "once",
- "product_group_id": "10cf0055-bb74-4657-bd4c-49a785ddb23e",
- "product_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "product_unit": {
- "description": "kg",
- "product_unit_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_group": {
- "description": "Grundgebühr",
- "product_group_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "account": {
- "description": "Erlöse 19%",
- "account_no": "4400",
- "account_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "terms": {
- "description": "Default",
- "first_min_term_value": 12,
- "first_cancellation_period_value": 3,
- "min_term_value": 12,
- "cancellation_period_value": 3,
- "terms_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}, - "product_features": [
- {
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "value": "red",
- "product_feature_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "product_feature_key": {
- "description": "color",
- "product_feature_key_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z"
}
}
], - "current_price": {
- "net_price": "10.00",
- "tax_type_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "valid_from": "2021-01-01",
- "intro_net_price": "7.50",
- "intro_duration_months": 6,
- "product_price_id": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
- "last_change": "2019-08-24T14:15:22Z",
- "tax_type": {
- "description": "Taxes Type 1",
- "taxrate": "19.00",
- "account_id": "0b803418-3181-4e81-9916-f73d57f46dbf",
- "tax_type_id": "60c5aab4-d4ba-471c-ade0-a1e85045501c",
- "last_change": "2019-08-24T14:15:22Z"
}, - "gross_price": "11.90",
- "intro_gross_price": "8.93"
}
}
}
]
}
]
}Validate Product Bundle Selection Endpoint
Validate one product bundle selection.
Authorizations:
path Parameters
| product_bundle_id required | string <uuid4> (Product Bundle Id) |
Request Body schema: application/jsonrequired
Available On (string) or Available On (null) (Available On) | |||||
Any of string <date> (Available On) | |||||
Array of objects (Selections) | |||||
Array
| |||||
Responses
Request samples
- Payload
- cURL
- JavaScript / Node.js
- Python
- Java
- PHP
{- "available_on": "2019-08-24",
- "selections": [
- {
- "product_bundle_group_product_id": "string",
- "quantity": 0
}
]
}Response samples
- 200
- 422
- default
{- "valid": true,
- "errors": [
- {
- "code": "string",
- "message": "string",
- "product_bundle_group_id": "string",
- "product_bundle_group_product_id": "string",
- "product_id": "string",
- "bundle_key": "string",
- "group_key": "string"
}
]
}